
// my api 接口
import { wxRequest } from './request'

const bindMobileURL = '/user/bind/mobile' // 获取用户手机号
const loginURL = '/user/login' // 登录
const bindBaseInfoURL = '/user/bind/base/info' // 绑定用户头像昵称

const chargeListURL = '/get/charge/list' // 我的充值记录
const appointmentListURL = '/appointment/list' // 我的预约列表
const cancelAppointmentURL = '/cancel/appointment'

export const ittLogin =  (data) => wxRequest(loginURL, data)

export const bindMobile =  (data) => wxRequest(bindMobileURL, data)

export const bindBaseInfo =  (data) => wxRequest(bindBaseInfoURL, data)

export const chargeList =  (data) => wxRequest(chargeListURL, data)

export const appointmentList =  (data) => wxRequest(appointmentListURL, data)

export const cancelAppointment =  (data) => wxRequest(cancelAppointmentURL, data)